// Generated by the protocol buffer compiler.  DO NOT EDIT!
// source: essmodule/essmodule.proto

package openfmb.essmodule;

public interface ESSEventOrBuilder extends
    // @@protoc_insertion_point(interface_extends:essmodule.ESSEvent)
    com.google.protobuf.MessageOrBuilder {

  /**
   * <pre>
   * UML inherited base object
   * </pre>
   *
   * <code>.commonmodule.EventValue eventValue = 1 [(.uml.option_parent_message) = true];</code>
   * @return Whether the eventValue field is set.
   */
  boolean hasEventValue();
  /**
   * <pre>
   * UML inherited base object
   * </pre>
   *
   * <code>.commonmodule.EventValue eventValue = 1 [(.uml.option_parent_message) = true];</code>
   * @return The eventValue.
   */
  openfmb.commonmodule.EventValue getEventValue();
  /**
   * <pre>
   * UML inherited base object
   * </pre>
   *
   * <code>.commonmodule.EventValue eventValue = 1 [(.uml.option_parent_message) = true];</code>
   */
  openfmb.commonmodule.EventValueOrBuilder getEventValueOrBuilder();

  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>.essmodule.EssEventZBAT essEventZBAT = 2;</code>
   * @return Whether the essEventZBAT field is set.
   */
  boolean hasEssEventZBAT();
  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>.essmodule.EssEventZBAT essEventZBAT = 2;</code>
   * @return The essEventZBAT.
   */
  openfmb.essmodule.EssEventZBAT getEssEventZBAT();
  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>.essmodule.EssEventZBAT essEventZBAT = 2;</code>
   */
  openfmb.essmodule.EssEventZBATOrBuilder getEssEventZBATOrBuilder();

  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>.essmodule.ESSEventZGEN essEventZGEN = 3;</code>
   * @return Whether the essEventZGEN field is set.
   */
  boolean hasEssEventZGEN();
  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>.essmodule.ESSEventZGEN essEventZGEN = 3;</code>
   * @return The essEventZGEN.
   */
  openfmb.essmodule.ESSEventZGEN getEssEventZGEN();
  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>.essmodule.ESSEventZGEN essEventZGEN = 3;</code>
   */
  openfmb.essmodule.ESSEventZGENOrBuilder getEssEventZGENOrBuilder();
}
